This module integrates the Human Presence API to protect Drupal forms.

More info: https://humanpresence.io

Module configuation:
1. Enable the module.
2. Go to /admin/config/people/hp/settings to add your HP API key. To get one, [sign up at Human presence](https://www.humanpresence.io/sign-up.php#Drupal).
3. Also check "Enable Human Presence monitoring via its JavaScript user interaction tracker." checkbox.
4. Go to /admin/config/people/hp/hp-form-strategies and click "Add HP Form Strategy".
5. Enter the form ID of the form you wish to add HP protection to into the ID field. Alternatively, you can povide a regular expression to cover several forms at once, but this might have peformance implications. (In this case the ID field is only used as the form strategy id and not as a form id.) To find the form ID look at the form HTML code and look for a hidden input element with name "form_id". The form ID is the value attribute of this element. E.g. the form ID from `<input data-drupal-selector="edit-hp-form-strategy-add-form" type="hidden" name="form_id" value="hp_form_strategy_add_form">` is `hp_form_strategy_add_form`. 
6. Select a plugin and configure it.

The module ships with two plugins:
1. The "Fail validation" plugin simply does not let the user submit the form if HP thinks it's not submitted by a human. 
2. The "Captcha" plugin is only available if the captcha module is enabled. When HP thinks the form submitter might not be human, it reloads the form with a CAPTCHA. It needs both CAPTCHA and HP be configured for the form to work.
