<?php

namespace Drupal\hp;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Builds the list of capture points for the captcha point form.
 */
class FormStrategyListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['form_id'] = $this->t('ID');
    $header['regexp'] = $this->t('Regular expression');
    $header['plugin'] = $this->t('HP Plugin ID');

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['id'] = $entity->id();
    $row['regexp'] = $entity->getRegexp();
    $row['plugin'] = $entity->getPluginId();

    return $row + parent::buildRow($entity);
  }

}
